using System;
using System.Collections.Generic;
using ChangeDataAvalonia.Models;
using ReactiveUI;

namespace ChangeDataAvalonia.ViewModels
{
	public class AutorizePageViewModel : ReactiveObject
	{
		public string Login { get => AutorizeData.login; set => AutorizeData.login = value; }
		public string Password { get => AutorizeData.password; set => AutorizeData.password = value; }
		public string Message { get => AutorizeData.message; set => this.RaiseAndSetIfChanged(ref AutorizeData.message, value); }
	}
}